<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTrainingsFireFightersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trainingsFirefighters', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('firefighterID');
            $table->integer('trainingID');
            $table->date('dateOfComplete');
            $table->date('dateOfExpiry');
            $table->boolean('lifetime');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trainingsFirefighters');
    }
}
